# Class ChatMessage

#### Hierarchy

- unknown
  - ChatMessage

- Defined in src/protobuf/pb_pb.d.ts:1581
- Defined in src/protobuf/pb_pb.d.ts:1642

#####
Index

### Constructors

constructor

### Methods

addAttachments
clearAttachmentsList
clearSenderNodeAddress
getAckError
getAcknowledged
getArrived
getAttachmentsList
getDate
getIsSystemMessage
getMessage
getSendMessageError
getSenderIsTrader
getSenderNodeAddress
getStoredInMailbox
getTradeId
getTraderId
getType
getUid
getWasDisplayed
hasSenderNodeAddress
serializeBinary
setAckError
setAcknowledged
setArrived
setAttachmentsList
setDate
setIsSystemMessage
setMessage
setSendMessageError
setSenderIsTrader
setSenderNodeAddress
setStoredInMailbox
setTradeId
setTraderId
setType
setUid
setWasDisplayed
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ChatMessage(): ChatMessage

- #### Returns ChatMessage

  Inherited from jspb.Message.constructor

## Methods

### addAttachments

- addAttachments(value?: Attachment, index?: number): Attachment

- #### Parameters

  - ##### `Optional` value: Attachment

  - ##### `Optional` index: number

  #### Returns Attachment

  - Defined in src/protobuf/pb_pb.d.ts:1600

### clearAttachmentsList

- clearAttachmentsList(): ChatMessage

- #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1599

### clearSenderNodeAddress

- clearSenderNodeAddress(): ChatMessage

- #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1614

### getAckError

- getAckError(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1625

### getAcknowledged

- getAcknowledged(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1622

### getArrived

- getArrived(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1602

### getAttachmentsList

- getAttachmentsList(): Attachment[]

- #### Returns Attachment[]

  - Defined in src/protobuf/pb_pb.d.ts:1597

### getDate

- getDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1582

### getIsSystemMessage

- getIsSystemMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1608

### getMessage

- getMessage(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1594

### getSendMessageError

- getSendMessageError(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1619

### getSenderIsTrader

- getSenderIsTrader(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1591

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1611

### getStoredInMailbox

- getStoredInMailbox(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1605

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1585

### getTraderId

- getTraderId(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1588

### getType

- getType(): SupportType

- #### Returns SupportType

  - Defined in src/protobuf/pb_pb.d.ts:1628

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1616

### getWasDisplayed

- getWasDisplayed(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1631

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1613

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1634

### setAckError

- setAckError(value: string): ChatMessage

- #### Parameters

  - ##### value: string

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1626

### setAcknowledged

- setAcknowledged(value: boolean): ChatMessage

- #### Parameters

  - ##### value: boolean

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1623

### setArrived

- setArrived(value: boolean): ChatMessage

- #### Parameters

  - ##### value: boolean

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1603

### setAttachmentsList

- setAttachmentsList(value: Attachment[]): ChatMessage

- #### Parameters

  - ##### value: Attachment[]

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1598

### setDate

- setDate(value: number): ChatMessage

- #### Parameters

  - ##### value: number

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1583

### setIsSystemMessage

- setIsSystemMessage(value: boolean): ChatMessage

- #### Parameters

  - ##### value: boolean

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1609

### setMessage

- setMessage(value: string): ChatMessage

- #### Parameters

  - ##### value: string

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1595

### setSendMessageError

- setSendMessageError(value: string): ChatMessage

- #### Parameters

  - ##### value: string

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1620

### setSenderIsTrader

- setSenderIsTrader(value: boolean): ChatMessage

- #### Parameters

  - ##### value: boolean

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1592

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): ChatMessage

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1612

### setStoredInMailbox

- setStoredInMailbox(value: boolean): ChatMessage

- #### Parameters

  - ##### value: boolean

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1606

### setTradeId

- setTradeId(value: string): ChatMessage

- #### Parameters

  - ##### value: string

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1586

### setTraderId

- setTraderId(value: number): ChatMessage

- #### Parameters

  - ##### value: number

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1589

### setType

- setType(value: SupportType): ChatMessage

- #### Parameters

  - ##### value: SupportType

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1629

### setUid

- setUid(value: string): ChatMessage

- #### Parameters

  - ##### value: string

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1617

### setWasDisplayed

- setWasDisplayed(value: boolean): ChatMessage

- #### Parameters

  - ##### value: boolean

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1632

### toObject

- toObject(includeInstance?: boolean): ChatMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ChatMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1635

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ChatMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1638

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ChatMessage, reader: BinaryReader): ChatMessage

- #### Parameters

  - ##### message: ChatMessage

  - ##### reader: BinaryReader

  #### Returns ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:1639

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ChatMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ChatMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1637

### `Static` toObject

- toObject(includeInstance: boolean, msg: ChatMessage): ChatMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ChatMessage

  #### Returns ChatMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1636

Generated using TypeDoc